#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int brojTakmicara, brojPrijateljstva, zbirSrece = 0, temp1, temp2;

    cin >> brojTakmicara >> brojPrijateljstva;

    vector<pair<int, int>> lista(brojTakmicara);
    for(int i = 0; i < brojTakmicara; i++){
        cin >> lista[i].first;
        lista[i].second = 0;
    }

    for(int i = 0; i < brojPrijateljstva; i++){
        cin >> temp1 >> temp2;
        if(temp1 < 0 && temp2 < 0){
            lista[temp1 - 1].second--;
            lista[temp2 - 1].second--;
        }
        else if(temp1 > 0 && temp2 > 0){
            lista[temp1 - 1].second++;
            lista[temp2 - 1].second++;
        }
        else if(temp1 > 0 && temp2 < 0){
            if(abs(temp2) > temp1){
                lista[temp1 - 1].second--;
                lista[temp2 - 1].second--;
            }
            else{
                lista[temp1 - 1].second++;
                lista[temp2 - 1].second++;
            }
        }
        else if(temp2 > 0 && temp1 < 0){
            if(abs(temp1) > temp2){
                lista[temp1 - 1].second--;
                lista[temp2 - 1].second--;
            }
            else{
                lista[temp1 - 1].second++;
                lista[temp2 - 1].second++;
            }
        }
        else if(temp2 == 0){
            if(temp1 > 0){
                lista[temp1 - 1].second++;
                lista[temp2 - 1].second++;
            }
            else if (temp1 < 0){
                lista[temp1 - 1].second--;
                lista[temp2 - 1].second--;
            }
        }
        else if(temp1 == 0){
            if(temp2 > 0){
                lista[temp1 - 1].second++;
                lista[temp2 - 1].second++;
            }
            else if(temp2 < 0){
                lista[temp1 - 1].second--;
                lista[temp2 - 1].second--;
            }
        }
        else{
            lista[temp1 - 1].second++;
            lista[temp2 - 1].second++;
        }
    }

    for(int i = 0; i < brojTakmicara; i++){
        zbirSrece += lista[i].first * lista[i].second;
    }

    cout << abs(zbirSrece) << endl;
    return 0;
}